## NAME

r.clump - Recategorizes data in a raster map by grouping cells that form physically discrete areas into unique categories.

## KEYWORDS

raster, statistics, reclass

## SYNOPSIS

r.clump
r.clump help
r.clump [-q] input=name output=name [title="string"] [--overwrite] [--verbose] [--quiet]

### Flags:

-q
  Run quietly
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input raster map
output=name
  Name for output raster map
title="string"
  Title for output raster map

## DESCRIPTION

r.clump finds all areas of contiguous cell category values in the input raster map. It assigns a unique category value to each such area ("clump") in the resulting output raster map.

Category distinctions in the input raster map are preserved. This means that if distinct category values are adjacent, they will NOT be clumped together. The user can run r.reclass prior to r.clump to recategorize cells and reassign cell category values.

## NOTES

r.clump moves a 2x2 matrix over the input raster map. The lower right-hand corner of the matrix is grouped with the cells above it, or to the left of it (diagonal cells are not considered.)

r.clump works properly with raster map that contain only "fat" areas (more than a single cell in width). Linear elements (lines that are a single cell wide) may or may not be clumped together depending on the direction of the line - horizontal and vertical lines of cells are considered to be contiguous, but diagonal lines of cells are not considered to be contiguous and are broken up into separate clumps.

A random color table and other support files are generated for the output raster map.

## SEE ALSO

r.average, r.buffer, r.distance, r.grow, r.mapcalc, r.mfilter, r.neighbors, r.to.vect, r.reclass, r.statistics, r.support

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2013-11-16 18:04:46 +0100 (so, 16 XI 2013) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team